- Qt 5.15
- Qt Network
- QHash Proxy Page
- Qt 5.15.19 Reference Documentation

# QHash Proxy Page

## Functions

uint | qHash(const QSslCertificate &key, uint seed = 0)
uint | qHash(const QSslError &key, uint seed = 0)
uint | qHash(const QOcspResponse &response, uint seed = 0)
uint | qHash(QSslEllipticCurve curve, uint seed = 0)

## Function Documentation

### uint qHash(const QSslCertificate &key, uint seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.4.

### uint qHash(const QSslError &key, uint seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.4.

### uint qHash(const QOcspResponse &response, uint seed = 0)

Returns the hash value for the response, using seed to seed the calculation.

This function was introduced in Qt 5.13.

### uint qHash(QSslEllipticCurve curve, uint seed = 0)

Returns an hash value for the curve curve, using seed to seed the calculation.

This function was introduced in Qt 5.5.